Bug 851685 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'read' accesses on the directory evince-thumbnailer-13051.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'read' acc...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-24 13:24 EDT by Frank Büttner
Modified: 2012-09-07 00:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-07 00:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2012-08-24 13:24:53 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.2-3.fc17.x86_64
time:           Fr 24 Aug 2012 19:24:23 CEST

:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'read' accesses on the directory evince-thumbnailer-13051.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If sie denken, dass plugin-container standardmässig erlaubt sein sollte, read Zugriff auf evince-thumbnailer-13051 directory zu erhalten.
:Then sie sollten dies als Fehler melden.
:Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
:zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
:# grep pool /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:thumb_tmp_t:s0
:Target Objects                evince-thumbnailer-13051 [ dir ]
:Source                        pool
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           xulrunner-14.0.1-3.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.2-3.fc17.x86_64 #1 SMP Tue Aug
:                              21 19:06:52 UTC 2012 x86_64 x86_64
:Alert Count                   10
:First Seen                    2012-08-24 19:22:04 CEST
:Last Seen                     2012-08-24 19:22:05 CEST
:Local ID                      86cf2d8f-cddc-4a44-888d-5779953a5d92
:Raw Audit Messages
:type=AVC msg=audit(1345828925.177:288): avc:  denied  { read } for  pid=16101 comm="pool" name="evince-thumbnailer-13051" dev="dm-1" ino=16777746 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:thumb_tmp_t:s0 tclass=dir
:type=SYSCALL msg=audit(1345828925.177:288): arch=x86_64 syscall=open success=no exit=EACCES a0=7f1511dca6a0 a1=40000 a2=7f151319e910 a3=5 items=0 ppid=2400 pid=16101 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pool exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:Hash: pool,mozilla_plugin_t,thumb_tmp_t,dir,read
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t thumb_tmp_t:dir read;
:audit2allow -R
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t thumb_tmp_t:dir read;
Comment 1 Miroslav Grepl 2012-08-27 05:36:49 EDT
Do you have mozplugger installed?
Comment 2 Frank Büttner 2012-08-28 11:41:22 EDT
no it is not installed.
All that is installed is:
[root@bart ~]# rpm -qa|grep -i moz
Comment 3 Miroslav Grepl 2012-08-29 00:59:21 EDT
Ok, could you execute

# semanage permissive -a mozilla_plugin_t

and reproduce it. Then execute

# ausearch -m avc -ts recent

Thank you.
Comment 4 Frank Büttner 2012-08-30 11:23:19 EDT
 ausearch -m avc -ts recent
will not report anything, but I remember there was an seliunux update at Aug, 28. to version 3.10.0-146. Can this be the solution?
Comment 5 Daniel Walsh 2012-09-07 00:09:44 EDT
Reopen if this happens again, not sure what is going on.

Note You need to log in before you can comment on or make changes to this bug.